Organization of IETF Process Documents
Internet-Draft draft-carpenter-gendispatch-org-proc-docs-01
Brian E. Carpenter
The University of Auckland
School of Computer Science
The University of Auckland
PB 92019
Auckland 1142
New Zealand
brian.e.carpenter@gmail.com
01 October 2024
General
GenDispatch
Internet-Draft
This document suggests that the IETF's many documents related to process and procedures need to be better organized and consolidated, and outlines a possible framework for this.
About This Document
Status information for this document may be found at https://datatracker.ietf.org/doc/draft-carpenter-gendispatch-org-proc-docs/.
Discussion of this document takes place on the GenDispatch Working Group mailing list (mailto:GenDispatch@ietf.org), which is archived at https://mailarchive.ietf.org/arch/browse/gendispatch/. Subscribe at https://www.ietf.org/mailman/listinfo/GenDispatch/.
Introduction
The IETF has a large number of documents (mainly RFCs) devoted to its standard process, its rules and procedures in general, and how it does its work. Some of these are BCPs, some of them are Informational RFCs, with occasional Experimental RFCs. In addition there are IESG Statements for specific topics, summaries of processes and procedures on the IETF web site, presentations made at IETF meetings or in educational material, snippets in email archives, unwritten rules, and external information such as this.
At a rough estimate, to have a complete understanding of IETF processes and procedures, a person would need to consult about 65 BCPs and RFCs -- there is an out of date informal list. There are also at least 30 relevant IESG statements.
This situation is clearly problematic. Obviously it is a major stumbling block for newcomers. Even for people with years of IETF participation it can be a source of confusion, mistakes, and wasted time.
This draft suggests that at the very least, the IETF needs an organizing principle or framework for its process and procedural documents.
Beyond that it seems desirable to start a project, which would take many years to complete, of consolidating documents (where that is feasible) and ensuring that they fit together into a common framework that will help newcomers and experienced participants alike.
Furthermore, a well-maintained guide to the IETF process is needed, for newcomers and experienced participants alike. Maintaining such a guide as part of the IETF web site would seem appropriate.
Framework
The idea is that process documents would be organized to fit into one of a set of major topics, with as little overlap as possible. The following list of topics is only a suggestion.
- Workflow in the IETF
- Bodies involved in the process
- Document types
- Standards track documents
- Review and approval process
- Intellectual Property Rights
- Conduct of participants
- Publication process (RFC Editor)
- Parameter registration process (IANA)
- Meetings
- Administration and support
- Process for modifying process and procedures
Consolidation
[I-D.rsalz-2026bis] and [I-D.rsalz-2418bis] are good examples of consolidation. If all the relevant RFCs and IESG statements could be consolidated in this way, resulting in say 10 or 15 documents fitting into the framework above, future participants would face much less complexity.
There is a question of finding the effort to do this. It seems unlikely that it can be entirely performed on a voluntary basis. Most of the work is editorial in nature, and could be performed without any decisions of principle being needed. That implies that it could be performed as paid work. Any decisions of principle (such as reconciling inconsistencies between existing documents, or incorporating an IESG Statement in an RFC) must of course be subject to IETF review and consensus, as must the final documents.
Guide
The informal list of process-related documents mentioned above has been present on the IETF web site for many years. Since it was carefully written not to paraphrase or summarize content, but only to cite existing documents, it could serve as an model of how a regularly maintained guide might look. This maintenance will not involve any decisions of principle.
IANA Considerations
No IANA actions are needed.
Security Considerations
This document does not directly affect the security of the Internet.
Acknowledgements
Useful comments were received from Jay Daley, Stephen Farrell, Ted Hardie, Eliot Lear, Eric Rescorla, Rich Salz, and others.
Informative References
[I-D.rsalz-2026bis]

The Internet Standards Process
Rich Salz
Akamai Technologies
Scott O. Bradner
SOBCO
5 September 2024
Internet-Draft draft-rsalz-2026bis-10
[I-D.rsalz-2418bis]

IETF Working Group Guidelines and Procedures
Rich Salz
Akamai Technologies
Scott O. Bradner
SOBCO
9 September 2024
Internet-Draft draft-rsalz-2418bis-05
Change Log [RFC Editor: please remove]
Draft-00
- Original version
Draft-01
- Early comments incorporated